Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.logger
Class SystemErrLogger

    java.lang.Object
      org.apache.catalina.logger.LoggerBase
          org.apache.catalina.logger.SystemErrLogger

All Implemented Interfaces:
  Lifecycle, Logger, javax.management.MBeanRegistration

public class SystemErrLogger
extends LoggerBase

Simple implementation of Logger that writes to System.err.

Version:
  $Revision: 1.2 $ $Date: 2004/02/27 14:58:44 $
Author:
  Craig R. McClanahan

Field Summary
`protected static java.lang.String` | `info` The descriptive information about this implementation.

Fields inherited from class org.apache.catalina.logger.LoggerBase
`container, controller, debug, domain, host, lifecycle, mserver, oname, path, support, verbosity`

Fields inherited from interface org.apache.catalina.Lifecycle
`AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, START_EVENT, STOP_EVENT`

Fields inherited from interface org.apache.catalina.Logger
`DEBUG, ERROR, FATAL, INFORMATION, WARNING`

Constructor Summary
`SystemErrLogger()`

Method Summary
`void` | `log(java.lang.String msg)` Writes the specified message to a servlet log file, usually an event log.

Methods inherited from class org.apache.catalina.logger.LoggerBase
`addLifecycleListener, addPropertyChangeListener, createObjectName, destroy, findLifecycleListeners, getContainer, getController, getDebug, getDomain, getInfo, getObjectName, getVerbosity, init, log, log, log, log, postDeregister, postRegister, preDeregister, preRegister, removeLifecycleListener, removePropertyChangeListener, setContainer, setController, setDebug, setVerbosity, setVerbosityLevel, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### info

    protected static final java.lang.String info

  The descriptive information about this implementation.

  See Also:
    Constant Field Values

Constructor Detail

### SystemErrLogger

    public SystemErrLogger()

Method Detail

### log

    public void log(java.lang.String msg)

  Writes the specified message to a servlet log file, usually an event log. The name and type of the servlet log is specific to the servlet container.

  Specified by:
    `log` in interface `Logger`
  Overrides:
    `log` in class `LoggerBase`
  Parameters:
    `msg` - A `String` specifying the message to be written to the log file

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.